Bug 983554 - servlet-api*.jar should not be included in WEB-INF/lib dir as its provided by container
servlet-api*.jar should not be included in WEB-INF/lib dir as its provided by...
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: Ryan Zhang
Petr Široký
Depends On:
  Show dependency treegraph
Reported: 2013-07-11 09:12 EDT by Petr Široký
Modified: 2014-08-06 16:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:15:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Široký 2013-07-11 09:12:37 EDT
Description of problem:
Deployable distribution (brms-6.0.0.*-brms-deployable.zip) contains servlet-api*.jar in 'jboss-brms.war/WEB-INF/lib' dir. The servlet-api is already distributed with servlet container so it should not be packaged in distribution.

Version-Release number of selected component (if applicable):

Actual results:
jboss-brms.war/WEB-INF/lib contains servlet-api*.jar which is already provided by servlet containers.

Expected results:
jboss-brms.war/WEB-INF/lib does _not_ contain servle-api*.jar
Comment 1 Petr Široký 2013-07-11 09:32:08 EDT
Sorry, the version should be 6.0.0-DR6 (but its probably present also in DR5)
Comment 3 Petr Široký 2013-09-11 08:23:37 EDT
There is still one servler-api*.jar, this time the jboss one. I think it should be removed too.

Comment 4 Petr Široký 2013-09-30 05:02:42 EDT
Issue is fixed in 6.0.0-ER3, no *servlet* api jars are present.

Note You need to log in before you can comment on or make changes to this bug.